﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("discount.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var arr = stream.ReadLine().Split(' ');
                    Debug.Assert(arr.Length == 3);

                    var a = int.Parse(arr[0]);
                    Debug.Assert(a >= 1 && a <= 1000 * 1000 * 1000);
                    var b = int.Parse(arr[1]);
                    Debug.Assert(b >= 1 && b <= 1000 * 1000 * 1000);
                    var c = int.Parse(arr[2]);
                    Debug.Assert(c >= 0 && c <= 1000 * 1000 * 1000);

                    var array = new [] { a, b, c};

                    Console.WriteLine(array.Max() + array.Min());
                }
            }

        }
    }
}
