/*
@author Efim Konstantinov (wertrix.ek@gmail.com)
*/

#include <iostream>
#include <fstream>
#include <cassert>
#include <vector>
#include <string>
#include <iomanip>

using namespace std;

int main()
{
	ifstream in("race.in");
	//ofstream out("race.out");
	
	const double eps = 1e-9;

	int t;
	in >> t;
	assert(t > 0 && t <= 10000);
	cout<<fixed;
	while (t--)
	{
		int l, v, d, p;
		in >> l >> v >> d >> p;
		assert(l >= 1 && l <= 100000);
		assert(v >= 1 && v <= 100000);
		assert(d >= 0 && d <= 100000);
		assert(p >= 0 && p <= 6);
		long double result = 1.0 * (v + d) / v * l;
		cout << setprecision(p) << result + eps << endl;
	}

	return 0;
}