﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("race.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var arr = stream.ReadLine().Split(' ');
                    Debug.Assert(arr.Length == 4);

                    var l = int.Parse(arr[0]);
                    Debug.Assert(l >= 1 && l <= 1000 * 100);
                    var v = int.Parse(arr[1]);
                    Debug.Assert(v >= 1 && v <= 1000 * 100);
                    var d = int.Parse(arr[2]);
                    Debug.Assert(d >= 0 && d <= 1000 * 100);
                    var p = int.Parse(arr[3]);
                    Debug.Assert(p >= 0 && p <= 6);

                    decimal ans = 1.0m * l * (v + d) / v;

                    Console.WriteLine(ans.ToString("F" + p, CultureInfo.InvariantCulture));
                }
            }

        }
    }
}
