﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("squareroot.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var arr = stream.ReadLine().Split(' ');
                    Debug.Assert(arr.Length == 2);

                    var a = arr[0];
                    Debug.Assert(a.Length <= 1000);
                    Debug.Assert(Char.IsDigit(a[0]) && a[0] != 0);
                    for (int i = 1; i < a.Length; i++)
                    {
                        Debug.Assert(Char.IsDigit(a[i]));
                    }

                    var b = arr[0];
                    Debug.Assert(b.Length <= 1000);
                    Debug.Assert(Char.IsDigit(b[0]) && b[0] != 0);
                    for (int i = 1; i < b.Length; i++)
                    {
                        Debug.Assert(Char.IsDigit(b[i]));
                    }

                    var ca = a.ToCharArray();

                    bool found = false;
                    for (int i = ca.Length - 1; i >= 0; i--)
                    {
                        if (ca[i] != '9')
                        {
                            ca[i]++;
                            found = true;
                            break;
                        }
                        else
                        {
                            ca[i] = '0';
                        }
                    }
                    
                    var result = new string(ca);
                    if (!found)
                    {
                        result = "1" + result;
                    }
                    Console.WriteLine(result);
                }
            }

        }
    }
}
