//  " "
//   XIII    
//     - 
//  :   (g.okhotnikov@yandex.ru)

#include <stdio.h>
#include <iostream>
#include <cassert>
#include <string>

using namespace std;

string add1(string s)
{
	int i = s.length() - 1;

	while ((i >= 0) && (s[i] == '9'))
		s[i--] = '0';
	if (i < 0)
	{
		string one = "1";
		s = one + s;
	}
	else
		s[i] = s[i] + 1;
	
	return s;
}

string add2(string s)
{
	return add1(add1(s));
}

int main()
{
	freopen("SQUAREROOT.IN", "r", stdin);
	// freopen("SQUAREROOT.OUT", "w", stdout);

	int t;
	cin >> t;
	assert(t > 0 && t <= 10000);
	while (t--)
	{
		string a, b;
		cin >> a >> b;
		assert(a != "0");
		assert(a.length() <= 1000);
		assert(b.length() <= 1000);
		string t = add1(a);
		t = add1(t);
		assert(b == add2(a));

		// a(a+2)+1 = a*a + 2a + 1 = (a+1)(a+1)
		//    (a+1)(a+1)  (a+1)
		cout << add1(a) << endl;
	}

	return 0;
}
